# -*- coding: utf-8 -*-

import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　ＺＫＭ　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.12 panda0305 撰寫腳本",2)
UI.UpdateLog("【上傳空間】：FotoPu.com",2)
UI.UpdateLog("【上傳大小】：未知",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",2)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
UI.UpdateLog("=========================================",2)
UI.UpdateLog("開始上傳....",4)
HTTP.AddUpParam("title","")
HTTP.AddUpParam("set_id","null")
HTTP.AddUpParam("channel_id","null")
HTTP.AddUpParam("channel_activated","0")
HTTP.AddUpParam("set_activated","0")
HTTP.AddFileReference("image","image/pjpeg")
HTML=UI.UpFile("http://www.fotopu.com/system/upload.php")
#UI.UpdateLog(HTML)
DownloadLink=Simple_Regular('window\.location = "(.+?)"',HTML,1)
#UI.UpdateLog(DownloadLink,4)
alink=HTTP.GetURL(DownloadLink)
#UI.UpdateLog(alink,4)
blink=Simple_Regular('\[img\](.+?)\[',alink,1)
#UI.UpdateLog(blink,4)
if blink!=False:
   UI.UpdateLog("圖片連結->"+blink,4)
   UI.AddShareLink(blink)
   UI.ProceSuccess()
else:
   UI.UpdateLog("無法取得網址",3)
   UI.ProceFalse()
    